# purpur_updater

Simple automatic Python updater for Minecraft [Purpur](https://purpurmc.org/) servers.

Tested on Windows & Linux.

# Install
To install, clone the repository, then move "purpur_updater.py", "purpur_updater_config.yml", and "requirements.txt" into the root directory of your Minecraft server, where the jar would normally be. You can add a service for this to your init system, such as systemd.
```
git clone https://git.willys.zone/Willy/purpur_updater.git
```
Install requirements
```
pip install -r requirements.txt
```
Configure
```
vim purpur_updater_config.yml
```
Run
```
python3 purpur_updater.py
```

# Note
1. If 'restart_command' requires sudo or elevated privileges, such as 'sudo systemctl restart my-server', you must run the script with elevated privileges, such as:
```
sudo python3 purpur_updater.py
```
2. The script will download the jar from the directory where the script is being executed. If using systemd, make sure to set ```WorkingDirectory=``` to your Minecraft server folder.
